Bug 696128 - lvm[1477]: Another thread is handling an event. Waiting...
lvm[1477]: Another thread is handling an event. Waiting...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-13 07:30 EDT by Kit Gerrits
Modified: 2012-02-13 12:09 EST (History)
15 users (show)

See Also:
Fixed In Version: lvm2-2.02.91-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-13 12:09:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
System information, logs (91.22 KB, application/x-gzip)
2011-09-06 06:39 EDT, Nandan Bhat
no flags Details

  None (edit)
Description Kit Gerrits 2011-04-13 07:30:07 EDT
Description of problem:
I get a message in dmesg and /var/log/messages every 10 seconds:
lvm[1477]: Another thread is handling an event. Waiting...
Apr 13 13:09:42 kitlaptop lvm[1477]: Another thread is handling an event. Waiting...
Apr 13 13:09:52 kitlaptop lvm[1477]: Another thread is handling an event. Waiting...
Apr 13 13:10:02 kitlaptop lvm[1477]: Another thread is handling an event. Waiting...


Version-Release number of selected component (if applicable):
Name        : lvm2
Arch        : i686
Version     : 2.02.73
Release     : 3.fc14


How reproducible:
This starts at bootup

Steps to Reproduce:
This laptop originally had Fedora 11 and RHEL5.
F14 had replaced F11 and the RHEL5 is untouched.
  
Actual results:


Expected results:


Additional info:
I have found a similar message:
http://www.redhat.com/archives/linux-lvm/2010-November/msg00046.html
Comment 1 Curtis Doty 2011-06-06 23:20:27 EDT
This one's been bugging me for awhile now. Also an upgrade. Original install was f11 and now at f13.

One notable observation...two PVs on the same array:

# fdisk -l /dev/cciss/c0d0

Disk /dev/cciss/c0d0: 73.4 GB, 73372631040 bytes
255 heads, 32 sectors/track, 17562 cylinders
Units = cylinders of 8160 * 512 = 4177920 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00038857

           Device Boot      Start         End      Blocks   Id  System
/dev/cciss/c0d0p1   *           1          51      204800   83  Linux
Partition 1 does not end on cylinder boundary.
/dev/cciss/c0d0p2              51        5192    20975616   8e  Linux LVM
Partition 2 does not end on cylinder boundary.
/dev/cciss/c0d0p3            5192       17562    50469452+  8e  Linux LVM
Partition 3 does not end on cylinder boundary.

# pvs
  PV                VG     Fmt  Attr PSize  PFree 
  /dev/cciss/c0d0p2 vg_sys lvm2 a-   20.00g  3.50g
  /dev/cciss/c0d0p3 vg_dat lvm2 a-   48.12g 16.62g
Comment 2 Curtis Doty 2011-06-06 23:22:15 EDT
And each of those PVs has different PE size and are mapped to separate volume groups.
Comment 3 Nandan Bhat 2011-09-06 06:39:34 EDT
Created attachment 521624 [details]
System information, logs

Hi,

I have an extended version of this problem. In addition to getting entries in /var/log/messages saying:

Sep  6 15:48:54 nandan lvm[1187]: Another thread is handling an event. Waiting...


... the shutdown time is now more than 5 minutes. I see the following lines during shutdown

Not stopping monitoring, this is a dangerous operation. Please use force-stop to override.
lvm2-monitor.service: Control process exited. code=exited status=1
There are still devices being monitored
Refusing to exit.

This condition has started only after I made snapshot volumes to use in virtual machines.

Details of my machine and messages are attached in nandan-system-info.txt.gz
Comment 4 Peter Rajnoha 2011-09-06 07:11:55 EDT
(In reply to comment #3)
> ... the shutdown time is now more than 5 minutes. I see the following lines
> during shutdown
> 
> Not stopping monitoring, this is a dangerous operation. Please use force-stop
> to override.
> lvm2-monitor.service: Control process exited. code=exited status=1
> There are still devices being monitored
> Refusing to exit.
> 

This is a different problem, tracked by bug #681582.

> This condition has started only after I made snapshot volumes to use in virtual
> machines.
> 

If there's nothing to monitor (no snapshots/mirrors) then the shutdown is clean as we don't need to stop any monitoring.
Comment 5 curtis 2011-12-07 17:29:05 EST
This also happens to me on:

[root@v log]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.2 (Santiago)

and is accompanied by short hangs of a few seconds every few seconds.

I too have 2 pvs on one array:

[root@v log]# parted -l /dev/sda | less
Model: HP LOGICAL VOLUME (scsi)
Disk /dev/sda: 4001GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt

Number  Start   End     Size    File system  Name  Flags
 1      1049kB  525MB   524MB   ext4               boot
 2      525MB   63.4GB  62.9GB                     lvm
 3      63.4GB  4001GB  3937GB                     lvm

and get tons of these error messages:

[root@v log]# tail messages
Dec  7 15:26:25 v1 lvm[1235]: Another thread is handling an event. Waiting...
Dec  7 15:26:25 v1 lvm[1235]: Another thread is handling an event. Waiting...
Dec  7 15:26:35 v1 lvm[1235]: Another thread is handling an event. Waiting...
Dec  7 15:26:45 v1 lvm[1235]: Another thread is handling an event. Waiting...
Dec  7 15:26:45 v1 lvm[1235]: Another thread is handling an event. Waiting...
Dec  7 15:26:45 v1 lvm[1235]: Another thread is handling an event. Waiting...
Dec  7 15:26:55 v1 lvm[1235]: Another thread is handling an event. Waiting...
Dec  7 15:26:55 v1 lvm[1235]: Another thread is handling an event. Waiting...
Dec  7 15:27:05 v1 lvm[1235]: Another thread is handling an event. Waiting...
Dec  7 15:27:15 v1 lvm[1235]: Another thread is handling an event. Waiting...

and like I said, the server hangs for a few seconds every few seconds.

I think I'm going to have to re-install and having the raid card present a couple volumes from the RAID10 array.
Comment 6 Peter Rajnoha 2012-02-02 04:41:09 EST
Petr Rockai patched this and those messages should not appear anymore, see also rhbz #771419 comment 6 (fixed in lvm2 v2.02.91).

(In reply to comment #5)
> This also happens to me on:
> 
> [root@v log]# cat /etc/redhat-release 
> Red Hat Enterprise Linux Server release 6.2 (Santiago)
> 
> and is accompanied by short hangs of a few seconds every few seconds.
...
> 
> I think I'm going to have to re-install and having the raid card present a
> couple volumes from the RAID10 array.

Can you still hit these hangs? If yes, please open a new bug report for RHEL adding an strace log and/or lvm command's -vvvv log.
Comment 7 Peter Rajnoha 2012-02-13 12:09:15 EST
Fixed in lvm2-2.02.91-2.fc18.

Note You need to log in before you can comment on or make changes to this bug.